#
# spec file for package permissions
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           permissions
Version:        20201225
Release:        150400.5.16.1
Summary:        SUSE Linux Default Permissions
# Maintained in github by the security team.
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://github.com/openSUSE/permissions
Source:         permissions-%{version}.tar.xz
BuildRequires:  libcap-devel
BuildRequires:  python3
#!BuildIgnore:  group(trusted)
Requires(post): %fillup_prereq
Requires(pre):  group(trusted)
Provides:       aaa_base:%{_sysconfdir}/permissions

%description
Permission settings of files and directories depending on the local
security settings. The local security setting (easy, secure, or paranoid)
can be configured in /etc/sysconfig/security.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="-W -Wall %{optflags}" FSCAPS_DEFAULT_ENABLED=0

%install
%make_install fillupdir=%{_fillupdir}

%check
# we can't test with sanitizers in SLE15, compiler is too old for some of them
tests/regtest.py --skip-make

%post
%{fillup_only -n security}
# apply all potentially changed permissions
%{_bindir}/chkstat --system

%files
%config %{_sysconfdir}/permissions
%config %{_sysconfdir}/permissions.easy
%config %{_sysconfdir}/permissions.secure
%config %{_sysconfdir}/permissions.paranoid
%config(noreplace) %{_sysconfdir}/permissions.local
%{_bindir}/chkstat
%{_mandir}/man5/permissions.5%{ext_man}
%{_mandir}/man8/chkstat.8%{ext_man}
%{_fillupdir}/sysconfig.security

%package -n permissions-zypp-plugin
BuildArch:      noarch
Requires:       permissions = %version
Requires:       python3-zypp-plugin
Requires:       libzypp(plugin:commit) = 1
Summary:        A zypper commit plugin for calling chkstat
Group:          Productivity/Security

%description -n permissions-zypp-plugin
This package contains a plugin for zypper that calls `chkstat --system` after
new packages have been installed. This is helpful for maintaining custom
entries in /etc/permissions.local.

%files -n permissions-zypp-plugin
%dir /usr/lib/zypp
%dir /usr/lib/zypp/plugins
%dir /usr/lib/zypp/plugins/commit
/usr/lib/zypp/plugins/commit/permissions.py

%changelog
